## grl-metadata-key grl-metadata-key — General media key definition |

## Functions

#define | GRLKEYID_TO_POINTER()
#define | GRLPOINTER_TO_KEYID()
#define | GRL_METADATA_KEY_GET_DESC()
#define | GRL_METADATA_KEY_GET_ID()
#define | GRL_METADATA_KEY_GET_NAME()
#define | GRL_METADATA_KEY_GET_TYPE()
const gchar * | grl_metadata_key_get_desc ()
const gchar * | grl_metadata_key_get_name ()
GType | grl_metadata_key_get_type ()
GList * | grl_metadata_key_list_new ()

## Types and Values

typedef | GrlKeyID
#define | GRL_KEYID_FORMAT
#define | GRL_METADATA_KEY_ALBUM
#define | GRL_METADATA_KEY_ARTIST
#define | GRL_METADATA_KEY_AUTHOR
#define | GRL_METADATA_KEY_BITRATE
#define | GRL_METADATA_KEY_CAMERA_MODEL
#define | GRL_METADATA_KEY_CERTIFICATE
#define | GRL_METADATA_KEY_CHILDCOUNT
#define | GRL_METADATA_KEY_CREATION_DATE
#define | GRL_METADATA_KEY_DESCRIPTION
#define | GRL_METADATA_KEY_DIRECTOR
#define | GRL_METADATA_KEY_DURATION
#define | GRL_METADATA_KEY_EPISODE
#define | GRL_METADATA_KEY_EPISODE_TITLE
#define | GRL_METADATA_KEY_EXPOSURE_TIME
#define | GRL_METADATA_KEY_EXTERNAL_PLAYER
#define | GRL_METADATA_KEY_EXTERNAL_URL
#define | GRL_METADATA_KEY_FAVOURITE
#define | GRL_METADATA_KEY_FLASH_USED
#define | GRL_METADATA_KEY_FRAMERATE
#define | GRL_METADATA_KEY_GENRE
#define | GRL_METADATA_KEY_HEIGHT
#define | GRL_METADATA_KEY_ID
#define | GRL_METADATA_KEY_INVALID
#define | GRL_METADATA_KEY_ISO_SPEED
#define | GRL_METADATA_KEY_KEYWORD
#define | GRL_METADATA_KEY_LAST_PLAYED
#define | GRL_METADATA_KEY_LAST_POSITION
#define | GRL_METADATA_KEY_LICENSE
#define | GRL_METADATA_KEY_LYRICS
#define | GRL_METADATA_KEY_MB_ALBUM_ID
#define | GRL_METADATA_KEY_MB_ARTIST_ID
#define | GRL_METADATA_KEY_MB_RECORDING_ID
#define | GRL_METADATA_KEY_MB_TRACK_ID
#define | GRL_METADATA_KEY_MIME
#define | GRL_METADATA_KEY_MODIFICATION_DATE
#define | GRL_METADATA_KEY_ORIENTATION
#define | GRL_METADATA_KEY_ORIGINAL_TITLE
#define | GRL_METADATA_KEY_PERFORMER
#define | GRL_METADATA_KEY_PLAY_COUNT
#define | GRL_METADATA_KEY_PRODUCER
#define | GRL_METADATA_KEY_PUBLICATION_DATE
#define | GRL_METADATA_KEY_RATING
#define | GRL_METADATA_KEY_REGION
#define | GRL_METADATA_KEY_SEASON
#define | GRL_METADATA_KEY_SHOW
#define | GRL_METADATA_KEY_SITE
#define | GRL_METADATA_KEY_SOURCE
#define | GRL_METADATA_KEY_START_TIME
#define | GRL_METADATA_KEY_STUDIO
#define | GRL_METADATA_KEY_THUMBNAIL
#define | GRL_METADATA_KEY_THUMBNAIL_BINARY
#define | GRL_METADATA_KEY_TITLE
#define | GRL_METADATA_KEY_TRACK_NUMBER
#define | GRL_METADATA_KEY_URL
#define | GRL_METADATA_KEY_WIDTH

## Includes

    #include <grilo.h>

## Description

This is the list of defined keys in grilo for media entries.

## Functions

### GRLKEYID_TO_POINTER()

    #define GRLKEYID_TO_POINTER(k) (GUINT_TO_POINTER(k))

### GRLPOINTER_TO_KEYID()

    #define GRLPOINTER_TO_KEYID(p) (GPOINTER_TO_UINT(p))

### GRL_METADATA_KEY_GET_DESC()

    #define GRL_METADATA_KEY_GET_DESC(key) (grl_metadata_key_get_desc (key))

### GRL_METADATA_KEY_GET_ID()

    #define GRL_METADATA_KEY_GET_ID(key)   (key)

### GRL_METADATA_KEY_GET_NAME()

    #define GRL_METADATA_KEY_GET_NAME(key) (grl_metadata_key_get_name (key))

### GRL_METADATA_KEY_GET_TYPE()

    #define GRL_METADATA_KEY_GET_TYPE(key) (grl_metadata_key_get_type (key))

### grl_metadata_key_get_desc ()

    const gchar *
    grl_metadata_key_get_desc (GrlKeyID key);

Retrieves the description associated with the key

#### Parameters

key | key to look up |

#### Returns

the description of the key

Since: 0.1.6

### grl_metadata_key_get_name ()

    const gchar *
    grl_metadata_key_get_name (GrlKeyID key);

Retrieves the name associated with the key

#### Parameters

key | key to look up |

#### Returns

The name of the key

Since: 0.1.6

### grl_metadata_key_get_type ()

    GType
    grl_metadata_key_get_type (GrlKeyID key);

Retrieves the expected type for values associated with this key

#### Parameters

key | key to look up |

#### Returns

the expected value type

Since: 0.2.0

### grl_metadata_key_list_new ()

    GList *
    grl_metadata_key_list_new (GrlKeyID first_key,
                               ...);

Returns a GList containing the va_list keys. Use GRL_METADATA_KEY_INVALID to finalize them.

[skip]

#### Parameters

first_key | first key |
... | va_list keys |

#### Returns

a GList

Since: 0.2.0

## Types and Values

### GrlKeyID

    typedef guint32 GrlKeyID;

### GRL_KEYID_FORMAT

    #define GRL_KEYID_FORMAT "u"

### GRL_METADATA_KEY_ALBUM

    #define GRL_METADATA_KEY_ALBUM                1

### GRL_METADATA_KEY_ARTIST

    #define GRL_METADATA_KEY_ARTIST               2

### GRL_METADATA_KEY_AUTHOR

    #define GRL_METADATA_KEY_AUTHOR               3

### GRL_METADATA_KEY_BITRATE

    #define GRL_METADATA_KEY_BITRATE              4

### GRL_METADATA_KEY_CAMERA_MODEL

    #define GRL_METADATA_KEY_CAMERA_MODEL         35

### GRL_METADATA_KEY_CERTIFICATE

    #define GRL_METADATA_KEY_CERTIFICATE          5

### GRL_METADATA_KEY_CHILDCOUNT

    #define GRL_METADATA_KEY_CHILDCOUNT           6

### GRL_METADATA_KEY_CREATION_DATE

    #define GRL_METADATA_KEY_CREATION_DATE        34

### GRL_METADATA_KEY_DESCRIPTION

    #define GRL_METADATA_KEY_DESCRIPTION          8

### GRL_METADATA_KEY_DIRECTOR

    #define GRL_METADATA_KEY_DIRECTOR             48

### GRL_METADATA_KEY_DURATION

    #define GRL_METADATA_KEY_DURATION             9

### GRL_METADATA_KEY_EPISODE

    #define GRL_METADATA_KEY_EPISODE              32

### GRL_METADATA_KEY_EPISODE_TITLE

    #define GRL_METADATA_KEY_EPISODE_TITLE        56

### GRL_METADATA_KEY_EXPOSURE_TIME

    #define GRL_METADATA_KEY_EXPOSURE_TIME        38

### GRL_METADATA_KEY_EXTERNAL_PLAYER

    #define GRL_METADATA_KEY_EXTERNAL_PLAYER      10

### GRL_METADATA_KEY_EXTERNAL_URL

    #define GRL_METADATA_KEY_EXTERNAL_URL         11

### GRL_METADATA_KEY_FAVOURITE

    #define GRL_METADATA_KEY_FAVOURITE            43

### GRL_METADATA_KEY_FLASH_USED

    #define GRL_METADATA_KEY_FLASH_USED           37

### GRL_METADATA_KEY_FRAMERATE

    #define GRL_METADATA_KEY_FRAMERATE            12

### GRL_METADATA_KEY_GENRE

    #define GRL_METADATA_KEY_GENRE                13

### GRL_METADATA_KEY_HEIGHT

    #define GRL_METADATA_KEY_HEIGHT               14

### GRL_METADATA_KEY_ID

    #define GRL_METADATA_KEY_ID                   15

### GRL_METADATA_KEY_INVALID

    #define GRL_METADATA_KEY_INVALID              0

### GRL_METADATA_KEY_ISO_SPEED

    #define GRL_METADATA_KEY_ISO_SPEED            39

### GRL_METADATA_KEY_KEYWORD

    #define GRL_METADATA_KEY_KEYWORD              45

### GRL_METADATA_KEY_LAST_PLAYED

    #define GRL_METADATA_KEY_LAST_PLAYED          16

### GRL_METADATA_KEY_LAST_POSITION

    #define GRL_METADATA_KEY_LAST_POSITION        17

### GRL_METADATA_KEY_LICENSE

    #define GRL_METADATA_KEY_LICENSE              18

### GRL_METADATA_KEY_LYRICS

    #define GRL_METADATA_KEY_LYRICS               19

### GRL_METADATA_KEY_MB_ALBUM_ID

    #define GRL_METADATA_KEY_MB_ALBUM_ID          52

### GRL_METADATA_KEY_MB_ARTIST_ID

    #define GRL_METADATA_KEY_MB_ARTIST_ID         54

### GRL_METADATA_KEY_MB_RECORDING_ID

    #define GRL_METADATA_KEY_MB_RECORDING_ID      55

### GRL_METADATA_KEY_MB_TRACK_ID

    #define GRL_METADATA_KEY_MB_TRACK_ID          53

### GRL_METADATA_KEY_MIME

    #define GRL_METADATA_KEY_MIME                 20

### GRL_METADATA_KEY_MODIFICATION_DATE

    #define GRL_METADATA_KEY_MODIFICATION_DATE    41

### GRL_METADATA_KEY_ORIENTATION

    #define GRL_METADATA_KEY_ORIENTATION          36

### GRL_METADATA_KEY_ORIGINAL_TITLE

    #define GRL_METADATA_KEY_ORIGINAL_TITLE       49

### GRL_METADATA_KEY_PERFORMER

    #define GRL_METADATA_KEY_PERFORMER            46

### GRL_METADATA_KEY_PLAY_COUNT

    #define GRL_METADATA_KEY_PLAY_COUNT           21

### GRL_METADATA_KEY_PRODUCER

    #define GRL_METADATA_KEY_PRODUCER             47

### GRL_METADATA_KEY_PUBLICATION_DATE

    #define GRL_METADATA_KEY_PUBLICATION_DATE     7

### GRL_METADATA_KEY_RATING

    #define GRL_METADATA_KEY_RATING               22

### GRL_METADATA_KEY_REGION

    #define GRL_METADATA_KEY_REGION               44

### GRL_METADATA_KEY_SEASON

    #define GRL_METADATA_KEY_SEASON               31

### GRL_METADATA_KEY_SHOW

    #define GRL_METADATA_KEY_SHOW                 33

### GRL_METADATA_KEY_SITE

    #define GRL_METADATA_KEY_SITE                 23

### GRL_METADATA_KEY_SOURCE

    #define GRL_METADATA_KEY_SOURCE               24

### GRL_METADATA_KEY_START_TIME

    #define GRL_METADATA_KEY_START_TIME           42

### GRL_METADATA_KEY_STUDIO

    #define GRL_METADATA_KEY_STUDIO               25

### GRL_METADATA_KEY_THUMBNAIL

    #define GRL_METADATA_KEY_THUMBNAIL            26

### GRL_METADATA_KEY_THUMBNAIL_BINARY

    #define GRL_METADATA_KEY_THUMBNAIL_BINARY     27

### GRL_METADATA_KEY_TITLE

    #define GRL_METADATA_KEY_TITLE                28

### GRL_METADATA_KEY_TRACK_NUMBER

    #define GRL_METADATA_KEY_TRACK_NUMBER         40

### GRL_METADATA_KEY_URL

    #define GRL_METADATA_KEY_URL                  29

### GRL_METADATA_KEY_WIDTH

    #define GRL_METADATA_KEY_WIDTH                30